\section{Description}
%% [Guideline]
%% Description: Provide brief description of the workshop, its scope and topics;
%% the list of organizers with the confirmed chair(s); the program committee
%% members (indicate whether the members have been confirmed); and the important
%% dates.

% [Sangmin] the list of organizers and the program committee members will be
% listed in the next section.

Current and emerging systems are deployed with heterogeneous architectures and
accelerators of more than one type (e.g., GPGPU, Intel Xeon Phi, FPGA) along
with hybrid processors of both lightweight and heavyweight cores (e.g., APU,
big.LITTLE).  Such architectures also comprise hybrid memory systems
equipped with stacked/hierarchical memory and non-volatile memory in addition
to regular DRAM.  Programming such a system can be a real challenge along with
locality, scheduling, load balancing, concurrency and so on.

This workshop focuses on understanding the implications of accelerators and
heterogeneous designs on the hardware systems, porting applications, performing
compiler optimizations, and developing programming environments for current and
emerging systems. It seeks to ground accelerator research through studies of
application kernels or whole applications on such systems, as well as tools and
libraries that improve the performance and productivity of applications on
these systems.

The goal of this workshop is to bring together researchers and practitioners
who are involved in application studies for accelerators and other
heterogeneous systems, to learn the opportunities and challenges in future
design trends for HPC applications and systems.


\subsection{Scope and Topics}
Areas of interest include but are not limited to the following topics:
\begin{itemize}
\item Strategies for programming heterogeneous systems using high-level models
      such as OpenMP, OpenACC, low-level models such as OpenCL, CUDA;
\item Methods and tools to tackle challenges in scientific computing at extreme
      scale;
\item Strategies for application behavior characterization and performance
      optimization for accelerators;
\item Techniques for optimizing kernels for execution on GPGPU, Intel Xeon Phi,
      and future heterogeneous platforms;
\item Models of application performance on heterogeneous and accelerated HPC
      systems;
\item Compiler Optimizations and tuning heterogeneous systems including
      parallelization, loop transformation, locality optimizations,
      Vectorization;
\item Implications of workload characterization in heterogeneous and
      accelerated architecture design;
\item Benchmarking and performance evaluation for accelerators;
\item Tools and techniques to address both performance and correctness to
      assist application development for accelerators and heterogeneous
      processors;
\item System software techniques to abstract application domain-specific
      functionalities for accelerators.
\end{itemize}


\subsection{Temptative Important Dates}
\begin{itemize}
\item Paper Submission Deadline: January 20th, 2017 (AOE)
\item Paper Acceptance Notification: February 15th, 2017
\item Camera Ready Due: February 25th, 2017
\item Workshop Date: May 29th, 2017
\end{itemize}

